## python-oslo.messaging 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6

futurist>=0.1.2 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0

# for jsonutils
six>=1.9.0
cachetools>=1.0.0 # MIT License

# FIXME(markmc): remove this when the drivers no longer
# import eventlet

eventlet>=0.17.4
greenlet>=0.3.2

WebOb>=1.2.3

# for the routing notifier
PyYAML>=3.1.0

# rabbit driver is the default
# we set the amqp version to ensure heartbeat works
amqp>=1.4.0
kombu>=3.0.7

# middleware
oslo.middleware>=2.8.0 # Apache-2.0

# needed by the aioeventlet executor
aioeventlet>=0.4
trollius>=1.0
