=== debian/changelog ===
python-oslo.messaging (2.5.0-1ubuntu2) wily; urgency=medium

  [ Jorge Niedbalski ]
  * d/p/make-reply-and-fanout-queues-expire-instead-of-auto-delete.patch:
    Make reply and fanout queues expire instead of auto-delete (LP: #1515278).

  [ Corey Bryant ]
  * d/p/dont-hold-connection-when-reply-fail.patch: Cherry-picked
    patch from upstream VCS to fix the amqp reply logic when
    connections are lost (LP: #1521958).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Mar 2016 08:08:47 -0400

python-oslo.messaging (2.5.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop depends on zmq, qpid, aioeventlet and trolluis
    - d/p/disable-new-executors.patch: Drop hard requirement on new
      executors.

 -- James Page <james.page@ubuntu.com>  Tue, 29 Sep 2015 09:34:13 +0100

python-oslo.messaging (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * python-oslo-messaging transition package in priority extra.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 18:16:47 +0200

python-oslo.messaging (2.1.0-2) experimental; urgency=medium

  * Override dh_auto_clean to make sure it doesn't fetch pbr.
  * Disable some test which are too fragile (ie: timing issues):
    - drivers.test_impl_rabbit.TestSendReceive.test_send_receive
    - drivers.test_impl_rabbit.TestSendReceive.test_send_receive

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Sep 2015 11:27:55 +0200

python-oslo.messaging (2.1.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop depends on zmq, qpid, aioeventlet and trolluis
    - d/p/disable-new-executors.patch: Drop hard requirement on new
      executors.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Aug 2015 17:03:53 +0200

python-oslo.messaging (2.1.0-1) experimental; urgency=medium

  [ James Page ]
  * d/p/use-mox3.patch: Cherry pick fix from upstream VCS to directly
    use mox3 instead of using an import of mox from six.moves, resolving
    FTBFS due to changes in oslotest.
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed upstream VCS url.
  * Fixed (build-)depends for this release.
  * Blacklist 3 failed unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 09:19:43 +0000

python-oslo.messaging (1.14.0-1ubuntu2) wily; urgency=medium

  * d/p/use-mox3.patch: Cherry pick fix from upstream VCS to directly
    use mox3 instead of using an import of mox from six.moves, resolving
    FTBFS due to changes in oslotest.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jun 2015 09:30:41 +0100

python-oslo.messaging (1.14.0-1ubuntu1) wily; urgency=medium

  * Resync with Debian experimental:
    - d/control: Drop depends on zmq, qpid, aioeventlet and trolluis
    - d/p/disable-new-executors.patch: Drop hard requirement on new
      executors.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jun 2015 17:23:28 +0100

python-oslo.messaging (1.14.0-1) experimental; urgency=medium

  [ James Page ]
  * Team upload.
  * New upstream release.

  [ Thomas Goirand ]
  * Make the build reproducible. Thanks to Juan Picca <jumapico@gmail.com> for
    the bug report and patch (Closes: #788480).
  * Added python3 support.
  * Added oslo-messaging-zmq-receiver.init sysv-rc script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 23:37:49 +0200

python-oslo.messaging (1.13.0-1) experimental; urgency=medium

  * New upstream release:
    - d/control: Align version requirements and dependencies with upstream.
  * Add myself to Uploaders.
  * Ensure that unit test failures result in a package build failure.
  * Add new binary package for oslo-messaging-zmq-receiver.
  * Explicitly install python to python-oslo.messaging.
  * Rename source package to python-oslo.messaging.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional package for
      python-oslo-messaging in Ubuntu.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:52:35 +0100

oslo.messaging (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Standards-Version: bump to 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Apr 2015 09:21:46 +0200

oslo.messaging (1.4.1-2) experimental; urgency=medium

  * Added remove-PROTOCOL_SSLv3.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 10:01:03 +0000

oslo.messaging (1.4.1-1) experimental; urgency=medium

  * New upstream release, which is in fact the same as 1.4.0, though this fixes
    the mess with version numbers. Thanks a lot to Doug Hellmann for it.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 15:12:40 +0000

oslo.messaging (1.4.0.0-2) experimental; urgency=medium

  * Uploading to experimental. Version 1.4 should never have been uploaded
    to unstable, so repairing this.

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Sep 2014 16:01:44 +0000

oslo.messaging (1.4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Note that this really is 1.4.0, though because of previous upload to
    Debian using 1.4.0.0~a4 (which should have been 1.4.0~a4), then we do need
    to use that version number.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Sep 2014 22:26:34 +0800

oslo.messaging (1.4.0.0~a4-1) unstable; urgency=medium

  * New upstream release.
  * Updated required version for python{3,}-six.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Aug 2014 19:09:30 +0800

oslo.messaging (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 20:10:04 +0800

oslo.messaging (1.3.0~a9-1) experimental; urgency=medium

  * New upstream release.

