=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd (>= 1.5),
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-amqp (>= 1.4.0),
                     python-cachetools,
                     python-coverage,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-futurist,
                     python-greenlet,
                     python-hacking,
                     python-kombu (>= 3.0.7),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-redis,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python-yaml,
                     python3-amqp (>= 1.4.0),
                     python3-cachetools,
                     python3-coverage,
                     python3-eventlet (>= 0.17.4),
                     python3-fixtures (>= 1.3.1),
                     python3-futurist,
                     python3-greenlet,
                     python3-kombu (>= 3.0.7),
                     python3-mock (>= 1.3),
                     python3-mox3,
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.context (>= 0.2.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.log (>= 1.8.0),
                     python3-oslo.middleware (>= 2.8.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.service (>= 0.8.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-redis,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.messaging.git
Vcs-Git: http://anonscm.debian.org/git/openstack/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python-oslo.messaging
Architecture: all
Depends: python-amqp (>= 1.4.0),
         python-cachetools,
         python-eventlet (>= 0.17.4),
         python-futurist,
         python-greenlet,
         python-kombu (>= 3.0.7),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.8.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-webob,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Breaks: python-oslo-messaging (<< 1.13.0-1~),
Replaces: python-oslo-messaging (<< 1.13.0-1~),
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends: python3-amqp (>= 1.4.0),
         python3-cachetools,
         python3-eventlet (>= 0.17.4),
         python3-futurist,
         python3-greenlet,
         python3-kombu (>= 3.0.7),
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.context (>= 0.2.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.log (>= 1.8.0),
         python3-oslo.middleware (>= 2.8.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.service (>= 0.8.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-webob,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends: adduser,
         python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
         ${misc:Depends},
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

Package: python-oslo-messaging
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.messaging,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-messaging
 This transitional package is safe to remove.
