=== debian/changelog ===
python-oslo.messaging (4.6.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 12:36:51 +0000

python-oslo.messaging (4.6.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:16:49 +0000

python-oslo.messaging (4.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:30:34 +0200

python-oslo.messaging (4.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 10:56:14 +0100

python-oslo.messaging (4.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright order.
  * Standards-Version: 3.9.7 (no change).
  * Added remove-git-log-call-in-sphinx-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:59:50 +0000

python-oslo.messaging (4.0.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Set minimum kombu version to 3.0.30 due to:
    https://github.com/celery/kombu/issues/545.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed MANIFEST.in patches.
  * Run Python 3 tests in python 3.5 as well.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 02:43:30 +0000

python-oslo.messaging (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed do-not-run-toplevel-test.patch.
  * Upstream has renamed oslo-messaging-zmq-receiver into
    oslo-messaging-zmq-broker, fixing the package to follow on.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 12:08:25 +0100

python-oslo.messaging (2.5.0-2) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:26:32 +0000

python-oslo.messaging (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * python-oslo-messaging transition package in priority extra.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:07:13 +0000
