=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,16 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-oslo.messaging; \
 	done
-	mv $(CURDIR)/debian/python-oslo.messaging/usr/bin/oslo-messaging-zmq-receiver $(CURDIR)/debian/python-oslo.messaging/usr/bin/python2-oslo-messaging-zmq-receiver
-	mv $(CURDIR)/debian/python3-oslo.messaging/usr/bin/oslo-messaging-zmq-receiver $(CURDIR)/debian/python3-oslo.messaging/usr/bin/python3-oslo-messaging-zmq-receiver
+	mv $(CURDIR)/debian/python-oslo.messaging/usr/bin/oslo-messaging-zmq-broker $(CURDIR)/debian/python-oslo.messaging/usr/bin/python2-oslo-messaging-zmq-broker
+	mv $(CURDIR)/debian/python3-oslo.messaging/usr/bin/oslo-messaging-zmq-broker $(CURDIR)/debian/python3-oslo.messaging/usr/bin/python3-oslo-messaging-zmq-broker
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 3.4 ; do \
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
