## python-oslo.messaging 5.5.0

=== requirements.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 pbr>=1.6 # Apache-2.0
 
 futurist>=0.11.0 # Apache-2.0
-oslo.config>=3.7.0 # Apache-2.0
-oslo.context>=0.2.0 # Apache-2.0
+oslo.config>=3.10.0 # Apache-2.0
+oslo.context>=2.4.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
+oslo.utils>=3.11.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-oslo.service>=1.0.0 # Apache-2.0
+oslo.service>=1.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-stevedore>=1.5.0 # Apache-2.0
+stevedore>=1.10.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
 
 # for jsonutils
@@ -33,7 +33,7 @@
 
 # rabbit driver is the default
 # we set the amqp version to ensure heartbeat works
-amqp>=1.4.0 # LGPL
+amqp<2.0,>=1.4.0 # LGPL
 kombu>=3.0.25 # BSD
 pika>=0.10.0 # BSD
 pika-pool>=0.1.3 # BSD
