=== debian/changelog ===
python-oslo.messaging (5.5.0-2+3~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Using HTTPS for upstream Git.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 05 Sep 2016 21:09:54 +0000

python-oslo.messaging (5.5.0-1) experimental; urgency=medium

  [ James Page ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depnds with upstream.

  [ Thomas Goirand ]
  * Drop python-oslo-messaging transition package not needed since Xenial is
    released.
  * Switch to pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 15:20:54 +0000

python-oslo.messaging (5.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-git-log-call-in-sphinx-doc.patch: Dropped. Fixed upstream.
  * d/gbp.conf: Update gbp branch config for Newton.
  * d/rules, d/python(3)-oslo.messaging.*: Add update-alternatives support
    for oslo-messaging-zmq-proxy.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:03:58 +0000
