=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            James Page <james.page@ubuntu.com>,
+           Corey Bryant <corey.bryant@canonical.com>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               dh-systemd (>= 1.5),
-               openstack-pkg-tools,
+               dh-systemd,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -22,7 +24,7 @@
                      python-coverage,
                      python-debtcollector (>= 1.2.0),
                      python-eventlet (>= 0.18.4),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.13.0),
                      python-greenlet,
                      python-hacking,
@@ -30,14 +32,14 @@
                      python-kombu (>= 3.0.30),
                      python-mock (>= 1.3),
                      python-mox3,
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
+                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.context (>= 2.4.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.11.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-pika (>= 0.10.0),
@@ -46,7 +48,7 @@
                      python-redis,
                      python-retrying,
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.10.0),
                      python-testscenarios,
                      python-testtools (>= 1.7.0),
                      python-webob,
@@ -57,21 +59,21 @@
                      python3-coverage,
                      python3-debtcollector (>= 1.2.0),
                      python3-eventlet (>= 0.18.4),
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-futurist (>= 0.13.0),
                      python3-greenlet,
                      python3-kafka (>= 0.9.5),
                      python3-kombu (>= 3.0.30),
                      python3-mock (>= 1.3),
                      python3-mox3,
-                     python3-oslo.config (>= 1:3.7.0),
-                     python3-oslo.context (>= 0.2.0),
+                     python3-oslo.config (>= 1:3.10.0),
+                     python3-oslo.context (>= 2.4.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.middleware (>= 3.0.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.service (>= 1.0.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.service (>= 1.10.0),
+                     python3-oslo.utils (>= 3.11.0),
                      python3-oslotest (>= 1.10.0),
                      python3-pika (>= 0.10.0),
                      python3-pika-pool,
@@ -79,7 +81,7 @@
                      python3-redis,
                      python3-retrying,
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.10.0),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
@@ -88,7 +90,7 @@
                      python3-zmq,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.messaging.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.messaging.git
 Homepage: https://github.com/openstack/oslo.messaging
@@ -104,20 +106,20 @@
          python-greenlet,
          python-kafka (>= 0.9.5),
          python-kombu (>= 3.0.30),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
+         python-oslo.config (>= 1:3.10.0),
+         python-oslo.context (>= 2.4.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.11.0),
          python-pbr (>= 1.8),
          python-pika (>= 0.10.0),
          python-pika-pool,
          python-retrying,
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          python-webob,
          python-yaml,
          python-zmq,
@@ -144,20 +146,20 @@
          python3-greenlet,
          python3-kafka (>= 0.9.5),
          python3-kombu (>= 3.0.30),
-         python3-oslo.config (>= 1:3.7.0),
-         python3-oslo.context (>= 0.2.0),
+         python3-oslo.config (>= 1:3.10.0),
+         python3-oslo.context (>= 2.4.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.middleware (>= 3.0.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.service (>= 1.0.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.service (>= 1.10.0),
+         python3-oslo.utils (>= 3.11.0),
          python3-pbr (>= 1.8),
          python3-pika (>= 0.10.0),
          python3-pika-pool,
          python3-retrying,
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.10.0),
          python3-webob,
          python3-yaml,
          python3-zmq,
@@ -182,12 +184,3 @@
  .
  This package provides the ZeroMQ receiver which processes incoming
  messages on all servers participating in a ZeroMQ messaging cluster.
-
-Package: python-oslo-messaging
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: python-oslo.messaging,
-         ${misc:Depends},
-Description: transitional dummy package for python-oslo-messaging
- This transitional package is safe to remove.
